/*
 * XdccDownloader - AnsiColors.java - Copyright © 2013 David Roden
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.pterodactylus.xdcc.ui.stdin;

import static java.lang.String.format;

/**
 * Handles colouring the telnet output.
 *
 * @author <a href="mailto:bombe@pterodactylus.net">David ‘Bombe’ Roden</a>
 */
public class Ansi {

	public static final String bold = "\u001b[1m";
	public static final String reset = "\u001b[0m";
	public static final String red = "\u001b[31m";
	public static final String green = "\u001b[32m";

	public static String bold(String text) {
		return format("%s%s%s", bold, text, reset);
	}

	public static String red(String text) {
		return format("%s%s%s", red, text, reset);
	}

	public static String green(String text) {
		return format("%s%s%s", green, text, reset);
	}

}
